LogLevelSelection (Solr 3.6.2 API)
Keywords: org.apache.solr.servlet.LogLevelSelection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.servlet
Class LogLevelSelection

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.solr.servlet.LogLevelSelection

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public final class LogLevelSelection

extends javax.servlet.http.HttpServlet

Admin JDK Logger level report and selection servlet.

Since:
  solr 1.3
Version:
  $Id: LogLevelSelection.java 1065312 2011-01-30 16:08:25Z rmuir $
See Also:
  Serialized Form

Constructor Summary
`LogLevelSelection()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Processes an HTTP GET request and changes the logging level as specified.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogLevelSelection

    public LogLevelSelection()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws IOException,
                      javax.servlet.ServletException

  Processes an HTTP GET request and changes the logging level as specified.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws IOException,
                       javax.servlet.ServletException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD